Bug 4518 - run sensors-detect after install system
: run sensors-detect after install system
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/lm_sensors)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-06-28 09:44 by
Modified: 2013-08-15 16:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-28 09:44:51
Идея: после инсталляции (в процессе первой загрузки, там где всяческие
*-firsttime?) запускать sensors-detect в режиме "все ответить по умолчанию".
Иначе пользователи вообще могут не узнать, что sensrs вообще есть - надо
вручную
запускать sensors-detect от рута, а до этого еще догадаться надо.
------- Comment #1 From 2004-06-28 13:16:18 -------
История показывает, что sensors-detect запускать автоматом опасно - механизм
определения устройств на шине I2C ненадёжен, а неправильное определение
зачастую
приводит к зависаниям и прочим нежелательным эффектам.  Более того, даже при
правильном определении устройств зачастую для нормальной работы требуется
настройка /etc/sensors.conf (причём неверные параметры в этом файле опять могут
приводить к неприятностям вроде немедленного отключения машины после
инициализации lm_sensors).  Т.е., на сегодняшний день полностью автоматическая
настройка lm_sensors невозможна (и вряд ли будет возможна, пока для сенсоров
будет использоваться шина I2C без способов надёжного определения устройств типа
SMBus-ARP, а производители материнских плат будут соревноваться в изобретении
собственных ни на что не похожих способов подключения датчиков к микросхемам
сенсоров).

Можно пойти другим путём - собирать сведения по различным материнским платам и
строить базу с готовыми настройками для этих плат (определяя их, например, по
PCI subsystem ID или по информации DMI); в этом случае проблем с неверным
определением устройств быть не должно, но это громадный объём работы.
------- Comment #2 From 2004-06-28 13:31:13 -------
в моем распоряжении 5 компьютеров, на которых sensors-detect "все по 
дефолту" заработало нормально... Но в общем, все понятно. 
------- Comment #3 From 2006-06-10 21:34:37 -------
Возможно, что-то вырастет из обсуждающегося в рассылке lm_sensors проекта:

http://thread.gmane.org/gmane.linux.drivers.sensors/10005/focus=10005
------- Comment #4 From 2006-10-04 22:59:51 -------
кстати, такая база есть, например, у motherboard monitor, и вроде в текстовом
виде..

только конвертор останется сделать.. ;)
------- Comment #5 From 2008-02-15 23:11:47 -------
Выросло ли что-нибудь?
------- Comment #6 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #7 From 2009-08-08 16:41:49 -------
Думаю, скорее стоит сделать installer-feature-lm_sensors или alterator-sensors.
Сам пока не возьмусь (в основном из соображений небезопасности автомата и
притом нетривиальности желаемого от неавтомата).
------- Comment #8 From 2013-08-15 16:25:03 -------
apparently wontfix